Open a session
POST
/v1/sessionsCreate or find an owner's session by name, then prepare its VM and filesystem. Reopening the same name reuses its identity. Selecting a different image for an existing name fails.
Authorization
bearerAuth AuthorizationBearer <token>
Use the owner-scoped product API key provided by the service operator.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
Request
curl -X POST "https://assemble-vms-api.fly.dev/v1/sessions" \ -H "Authorization: Bearer ${ASSEMBLE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "name": "my-agent-project" }'Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "image": "terminal", "state": "starting", "rootDirectory": "/workspace", "homeDirectory": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}